<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

</head>

<body>
<script>
//     var tvSamsung  = {
//    nombre: "TV Samsung 42",
//    categotrias: "Televisores",
//    unidades: 4,
//    precio: "345.95"
// };

// tvSamsung.getImporte  = function() {
//    return 'El importe ' + this.unidades * this.precio;
// }
// console.log(tvSamsung.getImporte()); 

// frames = prompt("Añade nueva propiedad", "Frames");
// let valor = prompt("Su valor", "100");
// tvSamsung[frames]=valor;
// Herzios = prompt("Añade nueva propiedad", "Herzios");
// let valor1 = prompt("Su valor", "1080");
// tvSamsung[Herzios]=valor1;
// Resolucion = prompt("Añade nueva propiedad", "Resolucion");
// let valor2 = prompt("Su valor", "HD");
// tvSamsung[Resolucion]=valor2;
// console.log(tvSamsung);


// if (("Peso" in tvSamsung) ==  false){
//     console.log(tvSamsung.Peso);
// } 
// if (("Resolucion" in tvSamsung) == false){
//     console.log(tvSamsung.Resolucion);
// } 
// if (("Bluethot" in tvSamsung) == false){
//     console.log(tvSamsung.Bluethot);
// } 



// function listaPropiedades(tvSamsung) {
//    var result = ``;
//    for (var p in tvSamsung) {
//            result += `${p} = ${tvSamsung[p]}\n`;
//    }
//    return result;
// }
//  listaPropiedades(tvSamsung);

//  let jsonTv = JSON.stringify(tvSamsung);
// console.log(typeof(jsonTv) +" --> " +jsonTv);

// let a = JSON.parse(jsonTv);
// console.log(typeof(a) +" --> " + a);  


// for (const key in a) {
//        console.log(`${key} = ${a[key]}`);
// }



</script>         